Skip to main content
GET
Get a webhook endpoint
v1 · Base URL https://api.fintoc.com/v1

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

The id of the webhook endpoint to retrieve.

Response

The webhook endpoint. secret is always null outside creation.

id
string
required

Unique identifier of the webhook endpoint.

Example:

"we_M6yrvOepCe3Rqp8B"

object
any
required

Type of the object. Always webhook_endpoint.

created_at
string<date-time>
required

ISO 8601 timestamp of when the webhook endpoint was created.

Example:

"2021-05-17T17:04:10.284Z"

description
string | null
required

Optional free-text description of the endpoint.

Example:

"Webhook endpoint for payment events."

enabled_events
enum<string>[]
required

Event types that trigger a notification to this endpoint.

Available options:
link.credentials_changed,
link.refresh_intent.succeeded,
link.refresh_intent.failed,
account.refresh_intent.succeeded,
account.refresh_intent.failed,
account.refresh_intent.rejected,
payment_intent.succeeded,
payment_intent.rejected,
payment_intent.failed,
payment_intent.pending,
payment_intent.expired,
subscription.activated,
subscription.canceled,
subscription_intent.succeeded,
subscription_intent.rejected,
subscription_intent.failed,
charge.succeeded,
charge.failed,
account.refresh_intent.movements_removed,
account.refresh_intent.movements_modified,
refund.succeeded,
refund.failed,
refund.in_progress,
payout.created,
payout.canceled,
payout.succeeded,
payout.returned,
checkout_session.finished,
checkout_session.expired,
transfer.inbound.succeeded,
transfer.outbound.succeeded,
transfer.outbound.failed,
transfer.outbound.returned,
transfer.inbound.returned,
transfer.inbound.return_failed,
account_number.deleted,
account_verification.succeeded,
account_verification.failed,
transfer.inbound.rejected,
payment_method.activated,
payment_method.canceled,
invoice.created,
invoice.finalized,
invoice.payment_created,
invoice.payment_failed,
invoice.payment_succeeded,
invoice.voided,
dispute.waiting_documentation,
dispute.in_review,
dispute.won,
dispute.lost,
dispute.expired,
entity.onboarding.approved,
entity.onboarding.rejected
mode
enum<string>
required

Mode of the object. live objects use real institution data, test objects use fake data for integration testing.

Available options:
test,
live
Example:

"live"

name
string | null
required

Optional name to identify the endpoint.

Example:

"My webhook endpoint"

secret
string | null
required

Secret used to verify the signature of the webhooks sent to the endpoint. Only returned when the endpoint is created; null in every other response.

Example:

"whsec_live_aBcDeFgHiJkLmNoPqRsTuVwXyZ"

status
enum<string>
required

Whether the endpoint currently receives event notifications.

Available options:
disabled,
enabled
Example:

"enabled"

url
string
required

HTTPS URL that receives the event notifications.

Example:

"https://my.webhook.endpoint"